import { ExtMutationObserver } from './mutation-observer';
import { ExtCssRuleData } from '../../css-rule';
/**
 * Sets up a MutationObserver which protects style attributes from changes.
 *
 * @param node DOM node.
 * @param rules Rule data objects.
 * @returns Mutation observer used to protect attribute or null if there's nothing to protect.
 */
export declare const protectStyleAttribute: (node: HTMLElement, rules: ExtCssRuleData[]) => ExtMutationObserver | null;
