import { AffectedElement, Context } from './types';
import { CssStyleMap } from '../../css-rule';
/**
 * Sets style to the specified DOM node.
 *
 * @param node DOM element.
 * @param style Style to set.
 */
export declare const setStyleToElement: (node: Node, style: CssStyleMap) => void;
/**
 * Applies style to the specified DOM node.
 *
 * @param context ExtendedCss context.
 * @param rawAffectedElement Object containing DOM node and rule to be applied.
 *
 * @throws An error if affectedElement has no style to apply.
 */
export declare const applyStyle: (context: Context, rawAffectedElement: AffectedElement) => void;
/**
 * Reverts style for the affected object.
 *
 * @param affectedElement Affected element.
 */
export declare const revertStyle: (affectedElement: AffectedElement) => void;
